## ide-highlight-engine ide-highlight-engine |

## Functions

IdeHighlightEngine * | ide_highlight_engine_new ()
IdeBuffer * | ide_highlight_engine_get_buffer ()
IdeHighlighter * | ide_highlight_engine_get_highlighter ()
void | ide_highlight_engine_rebuild ()
void | ide_highlight_engine_invalidate ()
GtkTextTag * | ide_highlight_engine_get_style ()

## Types and Values

#define | IDE_TYPE_HIGHLIGHT_ENGINE
| IdeHighlightEngine

## Description

## Functions

### ide_highlight_engine_new ()

    IdeHighlightEngine *
    ide_highlight_engine_new (IdeBuffer *buffer);

### ide_highlight_engine_get_buffer ()

    IdeBuffer *
    ide_highlight_engine_get_buffer (IdeHighlightEngine *self);

Gets the IdeHighlightEngine:buffer property.

#### Parameters

self | A IdeHighlightEngine. |

#### Returns

An IdeBuffer.

[transfer none]

### ide_highlight_engine_get_highlighter ()

    IdeHighlighter *
    ide_highlight_engine_get_highlighter (IdeHighlightEngine *self);

Gets the IdeHighlightEngine:highlighter property.

#### Parameters

self | A IdeHighlightEngine. |

#### Returns

An IdeHighlighter.

[transfer none]

### ide_highlight_engine_rebuild ()

    void
    ide_highlight_engine_rebuild (IdeHighlightEngine *self);

### ide_highlight_engine_invalidate ()

    void
    ide_highlight_engine_invalidate (IdeHighlightEngine *self,
                                     const GtkTextIter *begin,
                                     const GtkTextIter *end);

This function will extend the invalidated range of the buffer to include the range of `begin` to `end` .

The highlighter will be queued to interactively update the invalidated region.

Updating the invalidated region of the buffer may take some time, as it is important that the highlighter does not block for more than 1-2 milliseconds to avoid dropping frames.

#### Parameters

self | An IdeHighlightEngine. |
begin | the beginning of the range to invalidate |
end | the end of the range to invalidate |

### ide_highlight_engine_get_style ()

    GtkTextTag *
    ide_highlight_engine_get_style (IdeHighlightEngine *self,
                                    const gchar *style_name);

A GtkTextTag for `style_name` .

#### Parameters

self | the IdeHighlightEngine |
style_name | the name of the style to retrieve |

#### Returns

A GtkTextTag.

[transfer none]

## Types and Values

### IDE_TYPE_HIGHLIGHT_ENGINE

    #define IDE_TYPE_HIGHLIGHT_ENGINE (ide_highlight_engine_get_type())

### IdeHighlightEngine

    typedef struct _IdeHighlightEngine IdeHighlightEngine;